org.apache.lucene.geo

## Class Line2D

- java.lang.Object
- - org.apache.lucene.geo.EdgeTree
  - - org.apache.lucene.geo.Line2D

    public final class Line2D
    extends EdgeTree

2D line implementation represented as a balanced interval tree of edges.

Line `Line2D` Construction takes `O(n log n)` time for sorting and tree construction. `relate()` are `O(n)`, but for most practical lines are much faster than brute force.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

### Field Summary

### Fields inherited from class org.apache.lucene.geo.EdgeTree

`left, maxLat, maxLon, maxX, maxY, minLat, minLon, right, splitX, tree`

### Method Summary

All Methods Static Methods Concrete Methods
`static Line2D` `create(Line... lines)` create a Line2D edge tree from provided array of Linestrings

### Methods inherited from class org.apache.lucene.geo.EdgeTree

`componentRelate, componentRelateTriangle, createTree, internalComponentRelate, relate, relateTriangle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### create

    public static Line2D create(Line... lines)

create a Line2D edge tree from provided array of Linestrings